@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

@import "../support/_excel-variables.scss";

.y-attributepicker {
	&-greyout-area{
		background-color: $attrpicker__notifier-container--bg-color;
		position: absolute;
		display: inline-block;
		text-align: center;
		overflow: hidden;
		height: 100%;
		top: 0;
		left: 0;
		right: 0;
		z-index: 2;
		animation: $attrpicker__notifier-container--animation;

		.z-label {
			margin-top: $attrpicker__notifier-label--margin-top;
			color: $attrpicker__notifier-label--color;
			font-weight: $attrpicker__notifier-label--font-weight;
			position: absolute;
			top: 50%;
			left: 0;
			width: 100%;
			display: inline-block;
		}
	}

	.yw-modal-configurableFlow .yw-wizard-content > & {
		margin: $attrpicker__configurable-flow-container--margin;
		
		.y-attributepicker-main {
			margin: $attrpicker__configurable-flow-main-container--margin;
			width: $attrpicker__configurable-flow-main-container--width;
			
			&:first-child .y-attributepicker-main-container {
				border-top-width: 0;
			}
		}

		.y-attributepicker-inclusion-notifier {
			top: $attrpicker__notifier-container--top;
			bottom: 0;
			height: auto;
		}

		.y-attributepicker-select-options-container {
			height: $attrpicker__options-container--height;
			overflow: hidden;
		}
	}

    &-choose-buttons {
      vertical-align: middle;
      padding: $attrpicker__choose-button-container--padding;
      border: $attrpicker__choose-button-container--border;
      border-width: $attrpicker__choose-button-container--border-width;

	  .z-button {
		font-weight: $attrpicker__choose-button--font-weight;
		border: $attrpicker__choose-button--border;
		background-color: $attrpicker__choose-button--bg-color;
		color: $attrpicker__choose-button--color;
		margin-top: $attrpicker__choose-button--margin-top;
		border-radius: $attrpicker__choose-button--border-radius;
		width: 100%;
		display: block;

		&:hover,
		&:focus,
		&:active {
			background-color: $attrpicker__choose-button-hover--bg-color;
			color: $attrpicker__choose-button-hover--color;
			border-color: $attrpicker__choose-button-hover--bg-color;
			outline: none;
			box-shadow: none;
		}

		&:first-child {
			margin-top: 0;
		}

		&[disabled]{
			border-color: transparent !important;
		}
	  }
	}

  	&-add-btn {
		padding-right: $attrpicker__choose-button-arrow-side--padding;
		position: relative;

		&:after {
			content: $attrpicker__add-button--content;
			margin-right: $attrpicker__choose-button-arrow--margin;
			font-family: $attrpicker__choose-button-arrow--font;
			position: absolute;
			right: 0;
		}
	}

	&-remove-btn {
		padding-left: $attrpicker__choose-button-arrow-side--padding;
		position: relative;

		&:before {
			content: $attrpicker__remove-button--content;
			margin-left: $attrpicker__choose-button-arrow--margin;
			font-family: $attrpicker__choose-button-arrow--font;
			position: absolute;
			left: 0;
		}
	}

	&-localized {
		&,
		&-child {
			td {
				text-align: right;

				div {
					width: 100%;
				}

				span {
					text-align: left;
				}
			}
		}

		.z-tree-icon {
			float: right;
			position: absolute;
			right: 0;

			> i {
				color: $attrpicker__attr-localized-expand-btn--color;
				margin-right: $attrpicker__attr-localized-expand-btn--margin-right;
				line-height: $attrpicker__attr-localized-expand-btn-icon--size;
				margin-top: $attrpicker__attr-localized-expand-btn-icon--margin-top;
				background: transparent;
				position: relative;
				top: 50%;
				float: right;
	        
				&:after {
					width: $attrpicker__attr-localized-expand-btn-icon--size;
					height: $attrpicker__attr-localized-expand-btn-icon--size;
					right: $attrpicker__attr-localized-expand-btn-icon--right;
					margin-top: $attrpicker__attr-localized-expand-btn-icon--margin-top;
					content: "";
					display: inline-block;
					position: absolute;
					top: 50%;					
				}

				&:before {
					font-family: $attrpicker__choose-button-arrow--font;
					line-height: $attrpicker__attr-localized-expand-btn-icon--size;
					content: $attrpicker__open-button--content;
					margin-right: $attrpicker__attr-localized-expand-btn-icon-arrow--margin-right;
				}
			}

			> .z-tree-open {
				&:before {
					content: $attrpicker__close-button--content;
				}
			}

			+ .z-label {
				padding-right: $attrpicker__attr-localized-label--padding-right;
			}
		}
		&.z-treerow-selected {
			.z-tree-icon {
				> i {
					color: $attrpicker__attr-localized-selected-expand-btn--color;
					
					&:after {
						background-position: $attrpicker__attr-localized-selected-expand-btn-icon--bg-position;
					}
				}
			}
		}

		.z-treecell-content {
			position: relative;
		}

		&-child {
			span.z-label {
				padding-right: $attrpicker__attr-localized-child-label--padding-right;
			}

			span.y-attributepicker-language {
				border: $attrpicker__attr-localized-language-label--border;
				border-radius: $attrpicker__attr-localized-language-label--border-radius;
				padding: $attrpicker__attr-localized-language-label--padding;
				margin: $attrpicker__attr-localized-language-label--margin;
				min-width: $attrpicker__attr-localized-language-label--min-width;
				background-color: $attrpicker__attr-localized-language-label--bg-color;
				text-align: center;
				top: 50%;
				right: 0;
				position: absolute;
				display: inline-block;
			}

			.z-treecell-content {
				padding: $attrpicker__attr-localized-language-cell-content--padding;
				position: relative;
			}
		}
	}

	&-main {
		position: relative;
	}
	
	&-main-container {
		border-top: $attrpicker__main-container--border-top;
		background-color: $attrpicker__main-container--bg-color;
		display: table;
		position: relative;
		box-sizing: border-box;
		table-layout: fixed;
		width: 100%;

		.yw-modal-configurableFlow .yw-wizard-content & {	
			min-height: $attrpicker__main-container--min-height;
			height: 1px;
		}

		> div {
			display: table-cell;
		}

		> .y-attributepicker-greyout-area {
			display: inline-block;
			position: absolute;
		}
	}

	.y-attributepicker-selected-values-container {
		.y-attributepicker-values-tree {
			margin-right: $attrpicker__value-tree-outer--margin;
			margin-left: $attrpicker__value-tree-inner--margin;
			
			.z-tree-header-border {
				&:before {
					left: $attrpicker__value-tree-outer--padding;
				}
			}
		}

		&,
		.y-attributepicker-values-tree > .z-tree-body {
			padding-right: $attrpicker__value-tree-outer--padding;
			padding-left: $attrpicker__value-tree-inner--padding;
		}
	}

	.y-attributepicker-available-values-container {
		.y-attributepicker-values-tree {
			margin-left: $attrpicker__value-tree-outer--margin;
			margin-right: $attrpicker__value-tree-inner--margin;

			.z-tree-header-border {
				&:before {
					right: $attrpicker__value-tree-outer--padding;
				}
			}
		}

		&,
		.y-attributepicker-values-tree > .z-tree-body {
			padding-left: $attrpicker__value-tree-outer--padding;
			padding-right: $attrpicker__value-tree-inner--padding;
		}
	}
	
	.y-attributepicker-available-values,
	.y-attributepicker-selected-values {
		&-container {
			padding-top: $attrpicker__value-container--padding-top;
			width: $attrpicker__value-container--width;
		}
	}

	.y-attributepicker-values {		
		&-filter {
			margin: $attrpicker__value-filter--margin;
		}

		&-label {
			font-weight: $attrpicker__value-label--font-weight;
		}

		&-tree {
			.z-tree-header-border {
				&:before {
					content: "";
					color: $attrpicker__attr-tree-header-shadow--color;
					right: 0;
					left: 0;
					height: 0;
					box-shadow: $attrpicker__attr-tree-header-shadow--box-shadow;
					position: absolute;
					z-index: 1;
				}
			}
			.z-treecell {
				margin-bottom: $attrpicker__attr-cell--margin-bottom;
				border: $attrpicker__attr-cell--border;
				border-radius: $attrpicker__attr-cell--border-radius;
				padding: $attrpicker__attr-cell--padding;
				display: inline-block;
				width: 100%;

				span,
				button {
					display: table-cell;
					vertical-align: middle;
				}

				.z-label{
					float: left;
				}

				.z-tree-spacer {
					display: none;
				}
			}

			> .z-tree-body {
				max-height: $attrpicker__attr-tree--max-height;
				height: auto !important;
				padding-top: $attrpicker__attr-tree--padding-top;
				overflow: auto;
			}

			.y-attributepicker-level-2 .z-treecell {
				@include cell-indent(2);
			}

			.y-attributepicker-level-3 .z-treecell {
				@include cell-indent(3);
			}

			.y-attributepicker-level-4 .z-treecell {
				@include cell-indent(4);
			}

			.y-attributepicker-level-5 .z-treecell {
				@include cell-indent(5);
			}

			span.z-treerow-checkbox {
				width: $attrpicker__attr-icon--width;
				padding-left: $attrpicker__attr-check-icon--padding-left;
				border: none;
				background: transparent;
				text-align: center;
			}

			.z-treerow-selected > .z-treecell .z-treerow-checkable .z-treerow-icon.z-icon-check {
				color: $attrpicker__attr-selected-icon--color;
				margin-top: $attrpicker__attr-icon--margin-top;
				display: inline-block;
				top: auto;
			}

			.y-attributepicker-mandatory-item {

				.z-treerow-checkable .z-treerow-icon {
					display: inline-block;
				}

				> .z-treecell {
					background-color: $attrpicker__attr-mandatory-cell--bg-color;

					.z-treerow-checkable .z-treerow-icon.z-icon-check {
						color: $attrpicker__attr-mandatory-icon--color;
						margin-top: $attrpicker__attr-icon--margin-top;
						line-height: normal;
						text-align: center;
						position: relative;
						top: auto;
					}
				}
			}
		}
	}

	&-mandatory-item .z-label:after {
		margin-left: $attrpicker__attr-mandatory-label-after--margin-left;
		content: "*";
		display: inline-block;
	}

	&-expand-button {
		min-height: $attrpicker__attr-expand-btn--height;
		height: $attrpicker__attr-expand-btn--height;
	}
}

@keyframes prompt-animation {
	0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.yw-modal-configurableFlow {
	@media screen and (min-height: $wizard-attrpicker__bp-m--min-height) {
		.y-attributepicker-values-tree > .z-tree-body {
			max-height: $wizard-attrpicker__attr-tree-bp-m--max-height;
		}
	}
	
	@media screen and (min-height: $wizard-attrpicker__bp-l--min-height) {
		.y-attributepicker-values-tree > .z-tree-body {
			max-height: $wizard-attrpicker__attr-tree-bp-l--max-height;
		}
	}
}

.yw-modal-configurableFlow-small {
	.y-attributepicker {
		&-main-container {
			display: block;
			table-layout: unset;
			width: 100%;
			& > div {
				display: block;
			}
		}

		&-values-tree > .z-tree-body {
			max-height: $small-wizard-attrpicker__attr-tree--max-height;
		}

		&-available-values-container,
		&-selected-values-container {
			width: 100%;
		}

		&-choose-buttons {
			padding: $small-wizard-attrpicker__choose-button-container--padding;
			border-width: $small-wizard-attrpicker__choose-button-container--border-width;
			text-align: center;
		}

		&-choose-buttons .z-button {
			margin-top: 0;
			max-width: $small-wizard-attrpicker__choose-button--max-width;
			display: inline-block;
		}

		&-remove-btn {
			margin-right: $small-wizard-attrpicker__remove-button--margin-right;
			&:before {
				content: $small-wizard-attrpicker__remove-button--content;
			}
		}

		&-add-btn {
			&:after {
				content: $small-wizard-attrpicker__add-button--content;
			}
		}
	}
}